TurnKey Linux Virtual Appliance Library

WP HTTP Error: Could not open handle for fopen()

 RSS Error: WP HTTP Error: Could not open handle for fopen() to http://wordpress.org/development/feed/ 

 

Any help ? :) It says so @ Aksimet , also.

Liraz Siri's picture

Might be a connectivity issue

I think you may have a connectivity issue with your appliance. Try pinging Google's public DNS service:
ping 8.8.8.8
Also you can try diagnosing this manually from the command line with curl and wget.

Did you ever find the solution to this issue...

I'm having the same issue with my newly installed appliance. I can ping 8.8.8.8 and wget also works but when I try to use the "upgrade automatically" for any of the wordpress plugins I get the same "Download failed. Could not open handle for fopen() to http://..." error. I also noticed that on the WP Dashboard page none of the RSS feeds load and produce the same error.

Thanks :)

Jeremy's picture

Are you running v11?

If not then I would look at updating using TKLBAM to migrate your data (as per always though, do a trial run to a VM to confirm that everything will work ok).

If that doesn't help or you are already running v11 then post back.

Yep. Fresh install of v11 this morning...

I did a fresh install of WordPress Appliance v11 this morning. The install went fine and the VM seems to be working (http://news.impactguns.com) ok. I noticed one more thing. It does not seem to be sending email either...

Jeremy's picture

Found some info but no clear easy answer.

The WordPress Dashboard Troubleshooting section suggests:

Solution:Confirm you are properly connected to the internet then do the Automatic Upgrade again.

I also found a couple of old posts about it (see one here) and a 2yo WP bug which was fixed. There is also a more recent post on Ubuntu forums but it doesn't really have a fix. It seems a workaround for him was to put the WordPress server outside the hardware Firewall he was using.

Are you behind some sort of Firewall?

Same Problem

I'm too having the same problem. I'm properly connected to the internet but still the plugins and the wordpress itself is not updating and the same error message is shown on my wordpress dashboard.
Any suggestions? I really need someones advice here!

My Blog>> http://www.ShaiqUddin.co.cc
Twitter>> https://twitter.com/shaiquddin
Bloggers>> http://bloggers.com/shaiq
StumbleUpon>> http://www.stumbleupon.com/stumbler/shaiquddin

same

my problem same too, i will try it . thank you

same

here my blog, i am using wordpress mryonz weblog

Maybe this will help

Ive had the same problem and I came across this link http://wordpress.org/support/topic/http-error-could-not-open-handle-for-fopen

According to this you have to edit the php.ini file in the server and have to set 

allow_url_fopen = On

Check whether this works...

Solution

You may have to add the extension below.

extension=php_openssl.dll

fixed

Post new comment

The content of this field is kept private and will not be shown publicly. If you have a Gravatar account, used to display your avatar.
  • Web page addresses and e-mail addresses turn into links automatically.
  • Allowed HTML tags: <a> <p> <span> <div> <h1> <h2> <h3> <h4> <h5> <h6> <img> <map> <area> <hr> <br> <br /> <ul> <ol> <li> <dl> <dt> <dd> <table> <tr> <td> <em> <b> <u> <i> <strong> <font> <del> <ins> <sub> <sup> <quote> <blockquote> <pre> <address> <code> <cite> <strike> <caption>

More information about formatting options

Leave this field empty. It's part of a security mechanism.
(Dear spammers: moderators are notified of all new posts. Spam is deleted immediately)